Package org.apache.sis.util

# Class UnconvertibleObjectException

Object
Throwable
Exception
RuntimeException
IllegalArgumentException
UnconvertibleObjectException

All Implemented Interfaces:
  `Serializable`

public class UnconvertibleObjectException extends IllegalArgumentException
Thrown when an object can not be converted from the source type to the target type.

Some converters may attempt many strategies before to give up, resulting in more than one exception being caught. In such case, all the failed attempts will be reported as suppressed exceptions and the cause will be an arbitrary item of this list.

Since:
  0.3
See Also:
  - Serialized Form

Defined in the `sis-utility` module

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnconvertibleObjectException()`
  Constructs a new exception with no message.
  `UnconvertibleObjectException(String message)`
  Constructs a new exception with the specified detail message.
  `UnconvertibleObjectException(String message, Throwable cause)`
  Constructs a new exception with the specified detail message and cause.
  `UnconvertibleObjectException(Throwable cause)`
  Constructs a new exception with the specified cause.

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UnconvertibleObjectException

    public UnconvertibleObjectException()
    Constructs a new exception with no message.

  - ### UnconvertibleObjectException

    public UnconvertibleObjectException(String message)
    Constructs a new exception with the specified detail message.
    Parameters:
      `message` - the detail message, or `null` if none.

  - ### UnconvertibleObjectException

    public UnconvertibleObjectException(String message, Throwable cause)
    Constructs a new exception with the specified detail message and cause.
    Parameters:
      `message` - the detail message, or `null` if none.
      `cause` - the cause, or `null` if none.

  - ### UnconvertibleObjectException

    public UnconvertibleObjectException(Throwable cause)
    Constructs a new exception with the specified cause.
    Parameters:
      `cause` - the cause, or `null` if none.